#
# spec file for package glew (Version 1.5.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           glew
BuildRequires:  Mesa-devel
Url:            http://glew.sourceforge.net/
License:        BSD 3-clause (or similar) ; GPL v2 only ;  Other uncritical OpenSource License
Group:          System/Libraries
Summary:        OpenGL Extension Wrangler Library
Version:        1.5.1
Release:        5.18
Source:         %{name}-%{version}-src.tar.bz2
Requires:       libGLEW1_5 >= %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform
open-source C/C++ extension loading library. GLEW provides efficient
run-time mechanisms for determining which OpenGL extensions are
supported on the target platform. OpenGL core and extension
functionality is exposed in a single header file.



Authors:
--------
    Milan Ikits
    Marcelo Magallon

%package -n libGLEW1_5
License:        BSD 3-clause (or similar) ; GPL v2 only ;  Other uncritical OpenSource License
Group:          System/Libraries
Summary:        OpenGL Extension Wrangler Library

%description -n libGLEW1_5
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform
open-source C/C++ extension loading library. GLEW provides efficient
run-time mechanisms for determining which OpenGL extensions are
supported on the target platform. OpenGL core and extension
functionality is exposed in a single header file.



Authors:
--------
    Milan Ikits
    Marcelo Magallon

%package devel
License:        BSD 3-clause (or similar) ; GPL v2 only ;  Other uncritical OpenSource License
Group:          System/Libraries
Summary:        OpenGL Extension Wrangler Library
Requires:       %{name} = %{version} Mesa-devel

%description devel
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform
open-source C/C++ extension loading library. GLEW provides efficient
run-time mechanisms for determining which OpenGL extensions are
supported on the target platform. OpenGL core and extension
functionality is exposed in a single header file.



Authors:
--------
    Milan Ikits
    Marcelo Magallon

%prep
%setup -q -n %{name}
chmod -x doc/glew.txt
for FILE in config/* *Makefile* */*Makefile* ; do
	tr -d '\r' <$FILE >$FILE~
	cat $FILE~ >$FILE
	rm $FILE~
done

%build
make %{?jobs:-j%jobs} POPT="$RPM_OPT_FLAGS" LIBDIR=%{_libdir} LDFLAGS.EXTRA= STRIP=/bin/true

%install
ln -s /bin/true strip
export PATH=$PWD:$PATH
make GLEW_DEST=$RPM_BUILD_ROOT%{_prefix} LIBDIR=$RPM_BUILD_ROOT%{_libdir} LDFLAGS.EXTRA= STRIP=/bin/true install
chmod +x $RPM_BUILD_ROOT%{_libdir}/*.so.*
%{__rm} -f %{buildroot}%{_libdir}/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libGLEW1_5 -p /sbin/ldconfig

%postun -n libGLEW1_5 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/*
%{_bindir}/*info

%files -n libGLEW1_5
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/GL/*.h
%{_libdir}/*.so

%changelog
* Wed Aug  5 2009 sbrabec@suse.cz
- Updated to version 1.5.1:
  * support for OpenGL 3.0
  * support for many new extensions
  * bug fixes
* Wed Feb 25 2009 crrodriguez@suse.de
- static libraries are not usable and now removed.
* Thu Mar 20 2008 sbrabec@suse.cz
- Removed bad dependencies from libGLEW1_5 (bnc#372722).
* Mon Jan 14 2008 sbrabec@suse.cz
- Updated to version 1.5.0:
  * less restrictive license
  * minor fixes
- Split package according to the shared library packaging policy.
* Thu Jul 12 2007 sbrabec@suse.cz
- New SuSE package, version 1.4.0.
